## org.ascape.util
Interface RandomIterator

All Superinterfaces:
  java.util.Iterator, Randomizable, ResetableIterator

All Known Implementing Classes:
  CollectionSpace.ListMutableRandomIterator, CollectionSpace.ListRandomIterator

    public interface RandomIterator

extends ResetableIterator, Randomizable

An iterator that returns elements in random order.

Author:
  Miles Parker

Method Summary

Methods inherited from interface org.ascape.util.ResetableIterator
`first`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface org.ascape.util.Randomizable
`randomize`